some truetype goodnes for the terminal

master
Von Random 5 years ago
parent e37c52e217
commit b3c798208c
  1. 4
      bashrc
  2. 2
      vimrc
  3. 14
      xresources

@ -57,7 +57,7 @@ prompt_command()
if ((UID)); then
bang="${pbold}>"
else
bang="${pred}>"
bang="${pbold}${pred}>"
fi
ps_line1="[ ${prompt_user}${HOSTNAME}:${pbold}$(pwd)${preset} ]"
ps_line2="${bang}${preset} "
@ -154,5 +154,5 @@ plugins="${HOME}/.bashplugins"
[[ -r "${plugins}" && "$BASH_VERSINFO" -ge 4 ]] && . "${plugins}"
# we want to see exit code on error (it also has to be the last entry here)
trap 'printf "${red}>>${reset} ${bold}exit${reset} ${red}%s${reset}\n" "$?" >&2' ERR
trap 'printf "${bold}${red}>>${reset} ${bold}exit${reset} ${bold}${red}%s${reset}\n" "$?" >&2' ERR
# }}}

@ -93,9 +93,9 @@ if filereadable(plugins) && v:version >= 703
endif
if &term == 'xterm-termite'
let solarized_term_italics = 1
set termguicolors
endif
let solarized_term_italics = 1
colorscheme solarized8_light
syntax on
filetype plugin on

@ -15,11 +15,16 @@ Xft.dpi: 96
#define terminus_norm -*-terminus-medium-*-*-*-14-*-*-*-*-*-iso10646-*
#define terminus_bold -*-terminus-bold-*-*-*-14-*-*-*-*-*-iso10646-*
!URxvt.font: terminus_bold
!URxvt.boldFont: terminus_bold
!URxvt.italicFont: terminus_bold
!URxvt.boldItalicFont: terminus_bold
URxvt.font: fantasque_norm
URxvt.boldFont: fantasque_bold
URxvt.italicFont: fantasque_ital
URxvt.boldItalicFont: fantasque_boit
URxvt.letterSpace: -1
URxvt.scrollBar: false
URxvt.font: terminus_bold
URxvt.boldFont: terminus_bold
URxvt.italicFont: terminus_bold
URxvt.boldItalicFont: terminus_bold
URxvt.saveLines: 10000
URxvt.iso14755: false
URxvt.visualBell: false
@ -31,7 +36,6 @@ URxvt.pastableTabs: true
URxvt.geometry: 120:36
URxvt.intensityStyles: false
URxvt.secondaryScroll: false
!URxvt.letterSpace: -1
! urxvt perl extensions
URxvt.perl-ext-common: default,matcher,clipboard

Loading…
Cancel
Save